Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# FLAC__StreamMetadata_SeekTable Struct Reference
[FLAC/format.h: format components]

`#include <format.h>`

List of all members.

## Detailed Description

FLAC SEEKTABLE structure. (c.f. format specification)

Note:
  From the format specification:
  - The seek points must be sorted by ascending sample number.
  - Each seek point's sample number must be the first sample of the target frame.
  - Each seek point's sample number must be unique within the table.
  - Existence of a SEEKTABLE block implies a correct setting of total_samples in the stream_info block.
  - Behavior is undefined when more than one SEEKTABLE block is present in a stream.

## Public Attributes
unsigned | num_points
FLAC__StreamMetadata_SeekPoint * | points

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |